Bug 508796 - Runtime Error: device is already mapped
Runtime Error: device is already mapped
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
: 519031 (view as bug list)
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-06-29 18:06 EDT by Remo H. Jansen
Modified: 2010-06-28 09:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda exception (206.75 KB, text/plain)
2009-06-29 18:06 EDT, Remo H. Jansen
no flags Details

  None (edit)
Description Remo H. Jansen 2009-06-29 18:06:41 EDT
Created attachment 349883 [details]
Anaconda exception

Description of problem: I'm from Spain. Sorry for my poor english. I was trying to delete debian lenny and install Fedora 11 when a anaconda's exception report appeared. The content of the bug report is in the attachment file.

Version-Release number of selected component (if applicable):
anaconda 11.5.0.59-1.fc11

How reproducible: 
Every time I tried to install fedora I get the same bug report.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
To solved it I used the fsck comand to repair the HDD's file sistem

Expected results:


Additional info:
Comment 1 Chris Lumens 2009-07-31 10:54:04 EDT
anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicetree.py", line 68, in getLUKSPassphrase
    raise RuntimeError("device is already mapped")
  File "/usr/lib/anaconda/storage/devicetree.py", line 1217, in handleUdevLUKSFormat
    self.__passphrase)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1539, in handleUdevDeviceFormat
    self.handleUdevLUKSFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1201, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1691, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 302, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 73, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
RuntimeError: device is already mapped
Comment 2 Chris Lumens 2009-08-19 17:16:22 EDT
Do you have any idea how you caused this to happen?  What steps did you take in the installer that led to this problem?
Comment 3 Remo H. Jansen 2009-08-20 08:37:24 EDT
After install fedora my OS was debian 5.0. My HDD was encrypted (all the file system except /boot). I followed all the steps of the anaconda install manager and I selected the custom partition mode and I made 3 partitions (swap, /home and /) over the debian 5.0 installation. When the installer was partitioning my HDD the error was displayed.
Comment 4 Remo H. Jansen 2009-08-20 08:41:48 EDT
(In reply to comment #3)
> After install fedora my OS was debian 5.0. My HDD was encrypted (all the file
> system except /boot). I followed all the steps of the anaconda install manager
> and I selected the custom partition mode and I made 3 partitions (swap, /home
> and /) over the debian 5.0 installation. When the installer was partitioning my
> HDD the error was displayed.  

Before no after (sorry I speak a little english).
Comment 5 Chris Lumens 2009-08-25 15:37:38 EDT
*** Bug 519031 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2010-04-27 11:21:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 09:23:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.